Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodehaschildnodes Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodehaschildnodes (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "hasChildNodes()" method returns true if the node has children.

Retrieve the root node("staff") and invoke the "hasChildNodes()" method. It should return the boolean value "true".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-810594187

Definition at line 44 of file nodehaschildnodes.java.

## Constructor & Destructor Documentation

nodehaschildnodes::nodehaschildnodes | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file nodehaschildnodes.java.
    00047  {
    00048       super(factory);
    00049
    00050    }

## Member Function Documentation

String nodehaschildnodes::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 64 of file nodehaschildnodes.java.
    00064                                 {
    00065       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodehaschildnodes";
    00066    }

void nodehaschildnodes::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 67 of file nodehaschildnodes.java. References DOMTestCase::doMain().
    00067                                           {
    00068         DOMTestCase.doMain(nodehaschildnodes.class,args);
    00069    }

void nodehaschildnodes::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 52 of file nodehaschildnodes.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00052                                                     {
    00053       Document doc;
    00054       NodeList elementList;
    00055       Node employeeNode;
    00056       boolean state;
    00057       doc = load("staff");
    00058       elementList = doc.getElementsByTagName("employee");
    00059       employeeNode = elementList.item(1);
    00060       state = employeeNode.hasChildNodes();
    00061       assertTrue("nodeHasChildAssert1",state);
    00062
    00063    }

The documentation for this class was generated from the following file:

- nodehaschildnodes.java